xTASK_STATUS Struct Reference

`#include <task.h>`

## Data Fields

TaskHandle_t | xHandle
const char * | pcTaskName
UBaseType_t | xTaskNumber
eTaskState | eCurrentState
UBaseType_t | uxCurrentPriority
UBaseType_t | uxBasePriority
uint32_t | ulRunTimeCounter
StackType_t * | pxStackBase
uint16_t | usStackHighWaterMark

## Field Documentation

## eCurrentState

eTaskState eCurrentState

## pcTaskName

const char* pcTaskName

## pxStackBase

StackType_t* pxStackBase

## ulRunTimeCounter

uint32_t ulRunTimeCounter

## usStackHighWaterMark

uint16_t usStackHighWaterMark

## uxBasePriority

UBaseType_t uxBasePriority

## uxCurrentPriority

UBaseType_t uxCurrentPriority

## xHandle

TaskHandle_t xHandle

## xTaskNumber

UBaseType_t xTaskNumber

The documentation for this struct was generated from the following file:

- task.h